Package: org.codehaus.groovy.transform.sc.transformers

## [Java] Class RangeExpressionTransformer

- org.codehaus.groovy.transform.sc.transformers.RangeExpressionTransformer

-     public class RangeExpressionTransformer
      extends Object

  This transformer focuses on ranges to produce optimized bytecode.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `RangeExpressionTransformer(StaticCompilationTransformer transformer)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Expression` | `transformRangeExpression(RangeExpression range)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public RangeExpressionTransformer(StaticCompilationTransformer transformer)

  - ### Method Detail

    - #### public Expression transformRangeExpression(RangeExpression range)